summaryrefslogtreecommitdiffhomepage
path: root/modules/base/root
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2014-06-11 13:29:05 +0000
committerJo-Philipp Wich <jow@openwrt.org>2014-06-11 13:29:05 +0000
commit7043c30e0e55bbbfacdddf97619b6bae96d20ddb (patch)
treeece3254350b3ba01ba3135caed2364cc7ca7804c /modules/base/root
parentbbb44cf245c11bc0c1d59e836007c9e8c3bfa209 (diff)
build: introduce luci-base
Merges libs/core, libs/ipkg, libs/web, libs/sys, libs/sgi-cgi, libs/sgi-uhttpd, modules/admin-core, themes/base and protcols/core into modules/base and renames luci-lib-core to luci-base.
Diffstat (limited to 'modules/base/root')
-rw-r--r--modules/base/root/etc/config/ucitrack53
-rw-r--r--modules/base/root/root/etc/config/luci24
-rw-r--r--modules/base/root/root/lib/uci/upload/.gitignore0
-rwxr-xr-xmodules/base/root/sbin/luci-reload45
-rw-r--r--modules/base/root/www/index.html10
5 files changed, 132 insertions, 0 deletions
diff --git a/modules/base/root/etc/config/ucitrack b/modules/base/root/etc/config/ucitrack
new file mode 100644
index 000000000..04467f4fd
--- /dev/null
+++ b/modules/base/root/etc/config/ucitrack
@@ -0,0 +1,53 @@
+config network
+ option init network
+ list affects dhcp
+ list affects radvd
+
+config wireless
+ list affects network
+
+config firewall
+ option init firewall
+ list affects luci-splash
+ list affects qos
+ list affects miniupnpd
+
+config olsr
+ option init olsrd
+
+config dhcp
+ option init dnsmasq
+
+config dropbear
+ option init dropbear
+
+config httpd
+ option init httpd
+
+config fstab
+ option init fstab
+
+config qos
+ option init qos
+
+config system
+ option init led
+ list affects luci_statistics
+
+config luci_splash
+ option init luci_splash
+
+config upnpd
+ option init miniupnpd
+
+config ntpclient
+ option init ntpclient
+
+config samba
+ option init samba
+
+config tinyproxy
+ option init tinyproxy
+
+config 6relayd
+ option init 6relayd
diff --git a/modules/base/root/root/etc/config/luci b/modules/base/root/root/etc/config/luci
new file mode 100644
index 000000000..c503a8f1e
--- /dev/null
+++ b/modules/base/root/root/etc/config/luci
@@ -0,0 +1,24 @@
+config core main
+ option lang auto
+ option mediaurlbase /luci-static/openwrt.org
+ option resourcebase /luci-static/resources
+
+config extern flash_keep
+ option uci "/etc/config/"
+ option dropbear "/etc/dropbear/"
+ option openvpn "/etc/openvpn/"
+ option passwd "/etc/passwd"
+ option opkg "/etc/opkg.conf"
+ option firewall "/etc/firewall.user"
+ option uploads "/lib/uci/upload/"
+
+config internal languages
+
+config internal sauth
+ option sessionpath "/tmp/luci-sessions"
+ option sessiontime 3600
+
+config internal ccache
+ option enable 1
+
+config internal themes
diff --git a/modules/base/root/root/lib/uci/upload/.gitignore b/modules/base/root/root/lib/uci/upload/.gitignore
new file mode 100644
index 000000000..e69de29bb
--- /dev/null
+++ b/modules/base/root/root/lib/uci/upload/.gitignore
diff --git a/modules/base/root/sbin/luci-reload b/modules/base/root/sbin/luci-reload
new file mode 100755
index 000000000..cc41da2bb
--- /dev/null
+++ b/modules/base/root/sbin/luci-reload
@@ -0,0 +1,45 @@
+#!/bin/sh
+. /lib/functions.sh
+
+apply_config() {
+ config_get init "$1" init
+ config_get exec "$1" exec
+ config_get test "$1" test
+
+ echo "$2" > "/var/run/luci-reload-status"
+
+ [ -n "$init" ] && reload_init "$2" "$init" "$test"
+ [ -n "$exec" ] && reload_exec "$2" "$exec" "$test"
+}
+
+reload_exec() {
+ local service="$1"
+ local ok="$3"
+ set -- $2
+ local cmd="$1"; shift
+
+ [ -x "$cmd" ] && {
+ echo "Reloading $service... "
+ ( $cmd "$@" ) 2>/dev/null 1>&2
+ [ -n "$ok" -a "$?" != "$ok" ] && echo '!!! Failed to reload' $service '!!!'
+ }
+}
+
+reload_init() {
+ [ -x /etc/init.d/$2 ] && /etc/init.d/$2 enabled && {
+ echo "Reloading $1... "
+ /etc/init.d/$2 reload >/dev/null 2>&1
+ [ -n "$3" -a "$?" != "$3" ] && echo '!!! Failed to reload' $1 '!!!'
+ }
+}
+
+lock "/var/run/luci-reload"
+
+config_load ucitrack
+
+for i in $*; do
+ config_foreach apply_config $i $i
+done
+
+rm -f "/var/run/luci-reload-status"
+lock -u "/var/run/luci-reload"
diff --git a/modules/base/root/www/index.html b/modules/base/root/www/index.html
new file mode 100644
index 000000000..0a7238b55
--- /dev/null
+++ b/modules/base/root/www/index.html
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="refresh" content="0; URL=/cgi-bin/luci" />
+</head>
+<body style="background-color: black">
+<a style="color: white; text-decoration: none" href="/cgi-bin/luci">LuCI - Lua Configuration Interface</a>
+</body>
+</html>